# Class CIM_ConnectivityCollection
extends CIM_SystemSpecificCollection

A ConnectivityCollection groups together a set of ProtocolEndpoints of the same 'type' (i.e., class) which are able to communicate with each other. It may also group related Systems, users or other ManagedElements. A ConnectivityCollection represents the ability to send and/or receive data over a set of ProtocolEndpoints. The collection is defined in the context of an AdminDomain or scoping ComputerSystem. This is mandated by the Hosted Collection association on the SystemSpecificCollection superclass. Note that the entities aggregated into the Collection are specified using the association, MemberOfCollection.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection

## Direct Known Subclasses

CIM_IPConnectivitySubnet
CIM_IPXConnectivityNetwork
CIM_LANConnectivitySegment
CIM_NetworkVLAN
CIM_OSPFLink
CIM_Zone
CIM_ZoneSet

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A ConnectivityCollection groups together a set of ProtocolEndpoints of the same 'type' (i.e., class) which are able to communicate with each other. It may also group related Systems, users or other ManagedElements. A ConnectivityCollection represents the ability to send and/or receive data over a set of ProtocolEndpoints. The collection is defined in the context of an AdminDomain or scoping ComputerSystem. This is mandated by the Hosted Collection association on the SystemSpecificCollection superclass. Note that the entities aggregated into the Collection are specified using the association, MemberOfCollection.

UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectivityStatus | uint16 |
Description | string | An enumeration describing the current or potential connectivity between endpoints in this collection. Connectivity may be provided or not, or may be in a degraded/partitioned state if one or more endpoints or links have failed. The latter would prevent full connectivity between all elements in the Collection, but would permit connectivity between subsets.
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Connectivity/Up, No Connectivity/Down, Partitioned

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods